<back to all web services

GetRelatedItems

The following routes are available for this service:
GET/RestApi/translations/related
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations;

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
{
    public partial class GetRelatedItems
    {
        public virtual Guid[] Ids { get; set; }
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations
{
    public partial class RelatedItemsProxy
    {
        public virtual int TranslationsCount { get; set; }
        public virtual int ProjectsCount { get; set; }
    }

}

C# GetRelatedItems DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/related HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TranslationsCount":0,"ProjectsCount":0}